Subject: Re: bug#61962: 30.0.50; New trouble with symbols with positions

From: Alan Mackenzie <[email-masked]>
Date: Tue, 7 Mar 2023 15:42:05 +0000

Hello, Eli.

On Tue, Mar 07, 2023 at 15:13:40 +0200, Eli Zaretskii wrote:
> > Date: Tue, 7 Mar 2023 10:24:41 +0000
> > Cc: Mattias Engdegård <[email-masked]>,
> >   Eli Zaretskii <[email-masked]>, [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > I've now written safe-copy-tree, and committed it together with the fix
> > in bytecomp.el to master.

> Next time when you post a patch and ask for comments, please allow
> some time for responses, including to those who might be in different
> time zones or have less free time on their hands.  13 hours you waited
> is definitely not enough.

Yes.  For some reason I was in a bit of a hurry to close the bug.

> Btw, what are these "NEW STOUGH" markers you added to bytecomp.el:

> +;;;; NEW STOUGH, 2023-03-05
> +                    (byte-run-strip-symbol-positions
> +;;;; END OF NEW STOUGH
>                     (byte-compile-sexp
>                       (let ((form (read-positioning-symbols (current-buffer))))
>                         (push form byte-compile-form-stack)
>                         (eval-sexp-add-defvars
>                          form
> -                        start-read-position))))
> +                        start-read-position)))
> +;;;; NEW STOUGH, 2023-03-05
> +                    )
> +;;;; END OF NEW STOUGH
> +                                              )

A change I didn't intend to commit, now tidied up and removed.  I've
also tidied up the documentation, and now delete the hash table at the
end of the function, as you suggested in another post.

> Also, how about adding some tests, to make sure we don't regress in
> this area in the future?

Good idea!  I'll see what I can manage.

-- 
Alan Mackenzie (Nuremberg, Germany).